REM   دستورات شرطي و حلقه و پرش

'IF
'( if expression then
           my code
    else
          my code
   end if
')
'dim a as Integer,b as Integer
'a=15
'b=15
'if a<>b then
'   if a>b then
'   print a
'   end if
'   if a<b then
'   print b
'   end if
'else
'print "ok"
'end if

'end


'SELECT CASE
'(
select case a
case 0:my code
case 1:my code
case else:mycode

end select
')
'dim a as Integer
'a=8
'select case a
'case 0:print "zero"
'case 1:print "one"
'case 5:print "five"
'case else:print "no"
'end select


'GOTO   **** GOTO label
'dim a as Integer
'a=1

'faradars:
'a = a*2
'if a <140 then
'print a
'GOTO faradars
'end if
'print "ok"



'JMP   **** JMP label
'dim a as Integer
'a=1

'faradars:
'a = a*2
'if a <140 then
'print a
'JMP faradars
'end if
'print "ok"

'DO LOOP
'(DO
    my code
  LOOP [UNTIL EXPRESSION]
')
'DIM A as long
'a = 1
'do
' a=a*2
' print a
'loop until a>500
'print "ok"
'end


'FOR NEXT
'(FOR i=start TO finish [STEP a]
      my code
  NEXT
')
'dim a as Integer
'for a=1 to 15 step 3
'   print a
'next
'print "ok"
'end


'WHILE WEND
'(WHILE var
   my code
  WEND
')
'dim a as Integer,b as Integer
'a=1
'b=1
'while b=1
'  print a
'  incr a
'wend
'print "ok"
'end


'EXIT
'exit for
'exit do
'exit while

















































